using CoreLibrary;
using CoreLibrary.Events;
using CoreLibrary.Persistance;
using CoreLibrary.Regles;

namespace MauiSpark.Pages;

public partial class Mode : ContentPage
{
	public Mode()
	{
        NavigationPage.SetHasBackButton(this, false);
        NavigationPage.SetHasNavigationBar(this, false);

        InitializeComponent();
	}

	private void QuandReglesClassiques(Object? sender, EventArgs e)
	{
		Partie partie = new Partie(new ReglesClassiques(), new Persistance());
		partie.DemanderNom += QuandDemanderNom;
        partie.Jouer();
    }

	private void QuandDemanderNom(Object? sender, DemanderNomEventArgs e)
	{
		if(sender != null && sender is Partie)
			Navigation.PushAsync(new ConnexionPage(sender as Partie, e));
	}
}